package net.sf.l2j.gameserver.handler.voicedcommandhandlers;

import java.sql.PreparedStatement;
import net.sf.l2j.L2DatabaseFactory;
import net.sf.l2j.gameserver.network.L2GameClient;
import net.sf.l2j.gameserver.handler.IVoicedCommandHandler;
import net.sf.l2j.gameserver.model.actor.instance.L2PcInstance;
import net.sf.l2j.gameserver.model.L2World;

public class Command implements IVoicedCommandHandler
{
	private final String[] _commandList = new String[] { "online" };
	public String[] getVoicedCommandList()
	{
		return _commandList;
	}

	public boolean useVoicedCommand(String command, L2PcInstance activeChar, String target)
	{
		if(command.equals("online"))
		{
			activeChar.sendMessage("\u0418\u0433\u0440\u043E\u043A\u043E\u0432 \u041E\u043D-\u041B\u0430\u0439\u043D: " + L2World.getInstance().getAllPlayersCount());
		}
		return true;
	}
}